#include<bits/stdc++.h>
using namespace std;

int main(){
	std::vector<int> solve(std::vector<int> a);
	long long int t,n,i,j;
	vector<long long int>a(100001);
	cin>>t;
	for(i=1;i<=t;i++){ cin>>n;
	for(j=1;j<=n;j++) cin>>a[j];
	for(j=1;j<=n;j++) cout<<j-1<<" ";cout<<endl;
	}
}